package cn.gintone.myconf;


import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "basicinfo")
public class BasicUrlConf {
    private String deptInfoUrl;
    private String userInfoUrl;
    private String menuInfoUrl;

    // 设备信息
    private String bzInfoUrl;
    private String fkclInfoUrl;
    private String sxtInfoUrl;
    private String yldInfoUrl;
    private String gdInfoUrl;
    private String jgInfoUrl;

    public String getDeptInfoUrl() {
        return deptInfoUrl;
    }

    public void setDeptInfoUrl(String deptInfoUrl) {
        this.deptInfoUrl = deptInfoUrl;
    }

    public String getUserInfoUrl() {
        return userInfoUrl;
    }

    public void setUserInfoUrl(String userInfoUrl) {
        this.userInfoUrl = userInfoUrl;
    }

    public String getMenuInfoUrl() {
        return menuInfoUrl;
    }

    public void setMenuInfoUrl(String menuInfoUrl) {
        this.menuInfoUrl = menuInfoUrl;
    }

    public String getBzInfoUrl() {
        return bzInfoUrl;
    }

    public void setBzInfoUrl(String bzInfoUrl) {
        this.bzInfoUrl = bzInfoUrl;
    }

    public String getFkclInfoUrl() {
        return fkclInfoUrl;
    }

    public void setFkclInfoUrl(String fkclInfoUrl) {
        this.fkclInfoUrl = fkclInfoUrl;
    }

    public String getSxtInfoUrl() {
        return sxtInfoUrl;
    }

    public void setSxtInfoUrl(String sxtInfoUrl) {
        this.sxtInfoUrl = sxtInfoUrl;
    }

    public String getYldInfoUrl() {
        return yldInfoUrl;
    }

    public void setYldInfoUrl(String yldInfoUrl) {
        this.yldInfoUrl = yldInfoUrl;
    }

    public String getGdInfoUrl() {
        return gdInfoUrl;
    }

    public void setGdInfoUrl(String gdInfoUrl) {
        this.gdInfoUrl = gdInfoUrl;
    }

    public String getJgInfoUrl() {
        return jgInfoUrl;
    }

    public void setJgInfoUrl(String jgInfoUrl) {
        this.jgInfoUrl = jgInfoUrl;
    }
}
